/*
 *	proto.h - function protoypes for lsof
 *
 *	This header file requires some structure definitions that are made
 *	in lsof.h.
 */


/*
 * Copyright 1992 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */


extern char *endnm();
extern int entpid();
extern int entuid();
extern int isfile();
extern int kread();
extern int readlink();
extern int printchdevname();
extern void printfile();
extern void printinaddr();
extern void printiproto();
extern void printline();
extern void printnode();
extern void printprep();
extern void printsocket();
extern void printuid();
extern void readdev();
extern int readinode();
extern int readmnt();
extern int statsafely();
extern void usage();

#if	defined(DYNIX)
extern void completevfs();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern int getu();
extern char *malloc(), *realloc();
extern u_short ntohs();
extern int readrnode();
extern int stattimeout();
extern off_t vtophys();
#endif

#if	defined(eta10)
extern unsigned alarm();
extern void exit();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern struct user *getu();
extern long lseek();
extern int mread();
extern void qsort();
extern int readfsinfo();
#endif

#if	defined(DTYPE_GNODE)
extern void printdevice();
#endif

#if	defined(EHINSSG)
extern void stattimeout();
#endif

#if	defined(HASSTREAMS)
extern int readstdata();
extern int readsthead();
extern int readstidnm();
extern int readstmin();
extern int readstqinit();
#endif

#if     defined(HASVNODES)
extern void completevfs();
extern struct l_vfs *readvfs();
extern int readvnode();
#endif

#if	!defined(HASVNODES)
extern struct mounts *srchmounts();
#endif

#if	defined(hpux)
extern void completevfs();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern int getu();
extern off_t lseek();
extern int readrnode();
extern int readsnode();
#endif

#if	defined(HPUX7)
extern int mread();
#endif

#if	defined(_IBMR2)
extern int getchan();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern char isglocked();
extern int kreadx();
extern void printtext();
extern int readcdrnode();

# if    _AIXV>=30200
static int readfifonode();
# endif

extern int readgnode();
extern int readrnode();
#endif

#if	defined(LACHSOCK)
extern void freeinpcb();
extern int readinpcb();
#endif

#if	defined(NeXT)
extern void completevfs();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern int readrnode();
extern int readsnode();
#endif

#if	defined(sun)
extern void completevfs();
extern struct passwd *getpwnam();
extern struct passwd *getpwuid();
extern int readfifonode();
extern int readrnode();
extern int readsnode();
extern int readtnode();
#endif
